> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置“按关键词划分的广告流量”任务

> 请注意，Google Ads Keywords Data API 基于最新版本的 [Google Ads API](https://developers.



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/keywords_data/google_ads/ad_traffic_by_keywords/task_post
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/keywords_data/google_ads/ad_traffic_by_keywords/task_post:
    post:
      summary: 设置“按关键词划分的广告流量”任务
      description: >-
        请注意，Google Ads Keywords Data API 基于最新版本的 [Google Ads
        API](https://developers.google.com/google-ads/api/docs/start)，该版本已取代旧版
        Google AdWords API。如果您正在使用 [DataForSEO Google AdWords
        API](https://docs.dataforseo.com/v3/keywords_data/google/overview.md)，则需要升级到
        [DataForSEO Google Ads
        API](https://docs.dataforseo.com/v3/keywords_data/google_ads/overview.md)。
      operationId: >-
        post_dataforseo_keywords_data_google_ads_ad_traffic_by_keywords_task_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    keywords 必填字段 最多可指定的关键词数量：1000 每个关键词的最大字符数：80
                    每个关键词短语的最大单词数：10 您指定的关键词将转换为小写格式 注意 #1：Google Ads
                    可能不会返回某些关键词组的数据；注意 #2：Google Ads
                    会为相似关键词组提供合并的搜索量值；要获取相似关键词各自的搜索量，建议在不同请求中分别提交这些关键词；注意
                    #3：Google Ads 不允许使用某些符号和字符（例如 UTF
                    符号、表情符号），因此设置任务时不能使用这些内容；有关可使用哪些符号和字符的更多信息，请参阅此文章 有关
                    DataForSEO API 中 keyword 和 keywords 字段的规则和限制，请参阅此帮助中心文章
                bid:
                  type: number
                  description: >-
                    最高自定义出价；必填字段；所采集的数据将基于此值；它表示您愿意为广告支付的价格；此处指定的值越高，返回指标中的值也会越高；有关更多信息，请参阅此帮助中心文章
                match:
                  type: string
                  description: keywords match-type 必填字段可取以下值：exact、broad、phrase
                search_partners:
                  type: boolean
                  description: >-
                    是否包含 Google 搜索合作伙伴 可选字段 如果指定 true，将返回 Google 自有、运营及联合网络，以及托管
                    Google 搜索的合作伙伴网站的结果；默认值：false – 仅返回 Google 搜索网站的结果
                location_name:
                  type: string
                  description: >-
                    搜索引擎位置的完整名称 可选字段 如果未指定位置，您将收到全球结果，即所有可用位置的结果；如果使用此字段，则无需指定
                    location_code 或 location_coordinate 可通过向
                    https://api.dataforseo.com/v3/keywords_data/google_ads/locations
                    发出单独请求，获取搜索引擎可用位置及其 location_name 的列表
                    示例：London,England,United Kingdom
                location_code:
                  type: integer
                  description: >-
                    搜索引擎位置代码，可选字段。如果不指定位置，您将收到全球结果，即所有可用位置的结果；如果使用此字段，则无需指定
                    location_name 或 location_coordinate；您可以单独向
                    https://api.dataforseo.com/v3/keywords_data/google_ads/locations
                    发出请求，以获取搜索引擎可用位置及其 location_code 的列表。示例：2840
                location_coordinate:
                  type: string
                  description: >-
                    位置的 GPS 坐标，可选字段。如果不指定位置，您将收到全球结果，即所有可用位置的结果；如果使用此字段，则无需指定
                    location_name 或 location_code；location_coordinate
                    参数应以“latitude,longitude”格式指定；将提供指定坐标所属国家/地区的数据；示例：52.6178549,-155.352142
                language_name:
                  type: string
                  description: >-
                    搜索引擎语言的完整名称 可选字段 可通过向
                    https://api.dataforseo.com/v3/keywords_data/google_ads/languages
                    单独发出请求，获取搜索引擎可用语言及其 language_name 的列表 示例：English
                language_code:
                  type: string
                  description: >-
                    搜索引擎语言代码，可选字段；你可以通过向
                    https://api.dataforseo.com/v3/keywords_data/google_ads/languages
                    单独发起请求，获取搜索引擎可用语言及其 language_code 的列表；示例：en
                date_from:
                  type: string
                  description: >-
                    预测时间范围的开始日期；如果指定 date_to，则为必填字段。如果设置了 date_from 和
                    date_to，则无需指定 date_interval。最小值为明天的日期。date_from 指定的值不应晚于
                    date_to。日期格式："yyyy-mm-dd"。示例："2021-10-30"。如果 Status 端点在
                    actual_data 字段中返回 false，则 date_from 可以设置为上上个月或更早；如果 Status
                    端点在 actual_data 字段中返回 true，则 date_from 可以设置为上个月或更早
                date_to:
                  type: string
                  description: >-
                    预测时间范围的结束日期；如果指定 date_from，则此字段为必填字段；如果指定 date_from 和
                    date_to，则无需指定 date_interval；最小值为 date_from +1
                    天；最大值为下一年的当前日期（同月同日）；日期格式："yyyy-mm-dd"；示例："2022-10-30"
                date_interval:
                  type: string
                  description: >-
                    预测日期区间。可选字段。如果指定 date_interval，则无需指定 date_from 和
                    date_to。可选值：next_week、next_month、next_quarter。默认值：next_month
                sort_by:
                  type: string
                  description: >-
                    结果排序参数。可选字段。使用这些参数可按
                    relevance、impressions、ctr、average_cpc、cost 或 clicks
                    对结果进行降序排序。默认值：relevance
                postback_url:
                  type: string
                  description: >-
                    用于发送任务结果的 URL，可选字段；任务完成后，我们会向指定的 postback_url 发送 POST
                    请求，其结果采用 gzip 格式压缩；可以使用字符串 ‘$id’ 作为 $id 变量，并使用 ‘$tag’ 作为经过
                    URL 编码的 $tag
                    变量。我们会在发送请求前设置必要的值。示例：http://your-server.com/postbackscript?id=$id
                    http://your-server.com/postbackscript?id=$id&tag=$tag
                    注意：postback_url 中的特殊字符将经过 URL 编码；例如，# 字符将被编码为
                    %23；有关更多信息，请参阅我们的帮助中心
                pingback_url:
                  type: string
                  description: >-
                    已完成任务的通知 URL。可选字段。任务完成后，我们将通过向您指定的 URL 发送 GET
                    请求来通知您。您可以使用字符串 ‘$id’ 作为 $id 变量，并使用 ‘$tag’ 作为经过 urlencoded
                    编码的 $tag
                    变量。我们会在发送请求前设置必要的值。示例：http://your-server.com/pingscript?id=$id
                    http://your-server.com/pingscript?id=$id&tag=$tag
                    注意：pingback_url 中的特殊字符将经过 urlencoded 编码；例如，# 字符将被编码为
                    %23。请在我们的帮助中心了解更多信息
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keywords
                - bid
                - match
                - date_from
                - date_to
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasksarray 中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 系统中采用通用唯一标识符（UUID）格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；取值范围为：10000-60000，完整的响应码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组；在此情况下，该值将为 null
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````